> ## Documentation Index
> Fetch the complete documentation index at: https://docs.loqate.com/llms.txt
> Use this file to discover all available pages before exploring further.

# International Batch Cleanse

> Validate global addresses individually or in batches up to 100 records. Returns verified addresses with standardization and quality indicators.

**To enable the best customer experience, the recommendation is to send batches of less than 100 records which are homogenous in terms of the location.** Grouping the requests into countries enables the Verify engine to manage its resources more effectively.

<Note>We don't support API connections using HTTP - all calls should use HTTPS.</Note>


## OpenAPI

````yaml cleansing_international_batch post /Cleansing/International/Batch/v1.20/json6.ws
openapi: 3.0.0
info:
  title: Cleansing_International_Batch
  description: ''
  version: '1.2'
servers:
  - url: https://api.addressy.com
security:
  - ApiKeyQuery: []
paths:
  /Cleansing/International/Batch/v1.20/json6.ws:
    post:
      tags:
        - Cleansing_International_Batch
      summary: Cleansing_International_Batch
      operationId: Cleansing_International_Batch
      requestBody:
        x-name: body
        content:
          application/json:
            schema:
              title: VerifyServiceRequest
              allOf:
                - $ref: '#/components/schemas/RequestItemKeyRequired'
                - type: object
                  additionalProperties: false
                  properties:
                    GeoCode:
                      type: boolean
                      description: >-
                        Whether you want geo-coordinates to be appended to your
                        results (if available). There is an additional cost
                        associated with enabling this option.
                      default: false
                    Addresses:
                      type: array
                      description: >-
                        An array of addresses that you want to verify. The
                        country field must contain a valid ISO2 or ISO3 country
                        code. We recommend that you use the structured fields
                        (i.e. building/thoroughfare etc) over the address line
                        input fields if the data you are cleansing is already
                        structured. The list of available input address fields
                        are the ['Primary Address
                        Fields'](https://support.loqate.com/documentation/fielddescrip/addfields/).
                      items:
                        $ref: '#/components/schemas/ServiceRequestAddress'
                    Options:
                      $ref: '#/components/schemas/ServiceRequestOptions'
                      description: Used to specify various options and override processes.
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                title: ListOfServiceResponseItem
                type: array
                items:
                  $ref: '#/components/schemas/ServiceResponseItem'
        '400':
          description: BadRequest
          content:
            application/json:
              schema:
                title: ErrorResponseSelfContained
                type: object
                additionalProperties: false
                properties:
                  Number:
                    type: integer
                    format: int32
                  Description:
                    type: string
                  Cause:
                    type: string
                  Resolution:
                    type: string
              examples:
                Request not allowed from this IP:
                  summary: Request not allowed from this IP
                  value:
                    Number: 4
                    Description: Request not allowed from this IP
                    Cause: The request was disallowed from the IP address.
                    Resolution: >-
                      Check the security settings on the key first. If they look
                      fine, please contact support as it may be from an IP
                      address on our blacklist.
                Request not allowed from this URL:
                  summary: Request not allowed from this URL
                  value:
                    Number: 5
                    Description: Request not allowed from this URL
                    Cause: The request was disallowed from the URL.
                    Resolution: >-
                      Check the security settings on the key first. If they look
                      fine, please contact support as it may be from a URL on
                      our blacklist.
                Web service not available on this key:
                  summary: Web service not available on this key
                  value:
                    Number: 6
                    Description: Web service not available on this key
                    Cause: The requested web service is disallowed on this key.
                    Resolution: >-
                      Check the security settings on the key first. You can
                      limit a key to certain web services.
                Missing or invalid parameters:
                  summary: Missing or invalid parameters
                  value:
                    Number: 18
                    Description: Missing or invalid parameters
                    Cause: >-
                      A required parameter was not supplied of the value of a
                      parameter cannnot be converted into the right type.
                    Resolution: >-
                      Check the parameters passed and their values against the
                      specification for this service.
                Invalid JSON object:
                  summary: Invalid JSON object
                  value:
                    Number: 19
                    Description: Invalid JSON object
                    Cause: The JSON object sent in your request is invalid.
                    Resolution: >-
                      Please ensure your JSON object is syntactically correct
                      and try again.
                Endpoint not available:
                  summary: Endpoint not available
                  value:
                    Number: 20
                    Description: Endpoint not available
                    Cause: >-
                      The web service you are calling is not available on this
                      endpoint
                    Resolution: >-
                      Refer to our documentation pages to ensure you are calling
                      a valid endpoint for the web service you are requesting.
                Sandbox Mode is not available on this endpoint:
                  summary: Sandbox Mode is not available on this endpoint
                  value:
                    Number: 21
                    Description: Sandbox Mode is not available on this endpoint
                    Cause: >-
                      The License key used has Sandbox Mode enabled, but the
                      testing functionality is not available on this endpoint.
                    Resolution: Disable the Sandbox Mode on the License key.
                HTTPS requests only:
                  summary: HTTPS requests only
                  value:
                    Number: 22
                    Description: HTTPS requests only
                    Cause: As of 3rd September 2018 all new accounts must use HTTPS.
                    Resolution: >-
                      Ensure you consume all of our APIs over HTTPS and not
                      HTTP.
                Invalid JSON supplied:
                  summary: Invalid JSON supplied
                  value:
                    Number: 1000
                    Description: Invalid JSON supplied
                    Cause: The JSON object in the POST body was invalid
                    Resolution: >-
                      Try again sending a valid JSON request object in the POST
                      body
                No addresses supplied:
                  summary: No addresses supplied
                  value:
                    Number: 1001
                    Description: No addresses supplied
                    Cause: No addresses supplied
                    Resolution: >-
                      Ensure you send at least one address in the request for
                      cleansing
                Batch processing timeout:
                  summary: Batch processing timeout
                  value:
                    Number: 1003
                    Description: Batch processing timeout
                    Cause: Your batch took too long to process and timed out
                    Resolution: >-
                      Please reduce the batch size or increase the quality of
                      the input in order to ensure your requests don't time out
                Address input limit reached:
                  summary: Address input limit reached
                  value:
                    Number: 1004
                    Description: Address input limit reached
                    Cause: Please limit input length to 1,000 records or less
                    Resolution: ''
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                title: ErrorResponseSelfContained
                type: object
                additionalProperties: false
                properties:
                  Number:
                    type: integer
                    format: int32
                  Description:
                    type: string
                  Cause:
                    type: string
                  Resolution:
                    type: string
              examples:
                Unknown key:
                  summary: Unknown key
                  value:
                    Number: 2
                    Description: Unknown key
                    Cause: The key you are using to access the service was not found.
                    Resolution: >-
                      Please check that the key is correct. It should be in the
                      form AA11-AA11-AA11-AA11.
                Agreement Not Signed:
                  summary: Agreement Not Signed
                  value:
                    Number: 23
                    Description: Agreement Not Signed
                    Cause: >-
                      There are agreements associated with service which are not
                      signed.
                    Resolution: Please go to your account and check your agreements.
                Not enough credit for request:
                  summary: Not enough credit for request
                  value:
                    Number: 24
                    Description: Not enough credit for request
                    Cause: >-
                      There is not enough credit on the account to process the
                      request.
                    Resolution: Please topup your account with credit.
                Unexpected error, please contact the help desk for more information:
                  summary: >-
                    Unexpected error, please contact the help desk for more
                    information
                  value:
                    Number: 25
                    Description: >-
                      Unexpected error, please contact the help desk for more
                      information
                    Cause: ''
                    Resolution: ''
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                title: ErrorResponseSelfContained
                type: object
                additionalProperties: false
                properties:
                  Number:
                    type: integer
                    format: int32
                  Description:
                    type: string
                  Cause:
                    type: string
                  Resolution:
                    type: string
              examples:
                Account out of credit:
                  summary: Account out of credit
                  value:
                    Number: 3
                    Description: Account out of credit
                    Cause: >-
                      Your account is either out of credit or has insufficient
                      credit to service this request.
                    Resolution: >-
                      Please check your account balance and top it up if
                      necessary.
                Web service not available on your plan:
                  summary: Web service not available on your plan
                  value:
                    Number: 7
                    Description: Web service not available on your plan
                    Cause: >-
                      The requested web service is not currently available on
                      your payment plan.
                    Resolution: >-
                      Some services are only available in specific regions due
                      to licensing restrictions. Please contact us for more
                      information.
                Key daily limit exceeded:
                  summary: Key daily limit exceeded
                  value:
                    Number: 8
                    Description: Key daily limit exceeded
                    Cause: The daily limit on the key has been exceeded.
                    Resolution: >-
                      Alter the daily limit on the key. Check the usage details
                      first to see if usage is normal.
                Your account has been suspended:
                  summary: Your account has been suspended
                  value:
                    Number: 9
                    Description: Your account has been suspended
                    Cause: >-
                      Your account has been suspended. This can be for a number
                      of reasons including non-payment of an invoice.
                    Resolution: Please contact us in order to resolve this issue.
                Surge protector triggered:
                  summary: Surge protector triggered
                  value:
                    Number: 10
                    Description: Surge protector triggered
                    Cause: >-
                      An unusually large number of requests have been processed
                      for your account so the surge protector has been enabled.
                    Resolution: >-
                      You can disable the surge protector at any time but this
                      is only recommended if you are running through a batch of
                      requests.
                No valid license available:
                  summary: No valid license available
                  value:
                    Number: 11
                    Description: No valid license available
                    Cause: The request requires a valid license but none were found.
                    Resolution: >-
                      Please check your purchase history. You may be using a
                      license that is no longer valid or of an incorrect type.
                Management key required:
                  summary: Management key required
                  value:
                    Number: 12
                    Description: Management key required
                    Cause: >-
                      To use this web service you require a management key.
                      Management can be enabled on any key, but we advise you to
                      use management keys with care.
                    Resolution: >-
                      Sign in to the website and create a new management key or
                      change an existing key.
                Demo limit exceeded:
                  summary: Demo limit exceeded
                  value:
                    Number: 13
                    Description: Demo limit exceeded
                    Cause: >-
                      The daily demonstration limit for this service or account
                      has been exceeded.
                    Resolution: >-
                      The limit will be reset at midnight tonight. If you would
                      like the limit increased, please contact us.
                Free service limit exceeded:
                  summary: Free service limit exceeded
                  value:
                    Number: 14
                    Description: Free service limit exceeded
                    Cause: You have used too many free web services.
                    Resolution: >-
                      Our web services are designed to operate in stages. The
                      first is usually a Find service followed by a Retrieve. If
                      you use too many Finds without the corresponding number of
                      Retrieves you will receive this error. For more
                      information, please contact us.
                Wrong type of key:
                  summary: Wrong type of key
                  value:
                    Number: 15
                    Description: Wrong type of key
                    Cause: >-
                      The type of key you're using isn't supported by this web
                      service.
                    Resolution: >-
                      This usually happens if you're using a user or server
                      license with a web service that only supports
                      transactional keys. Please use another key and try again.
                Key expired:
                  summary: Key expired
                  value:
                    Number: 16
                    Description: Key expired
                    Cause: The key you are trying to use has expired.
                    Resolution: >-
                      Please check that you are using the right key. A new one
                      may have been issued if you recently renewed your key.
                      Contact us if you have any questions.
                Individual User exceeded Lookup Limit:
                  summary: Individual User exceeded Lookup Limit
                  value:
                    Number: 17
                    Description: Individual User exceeded Lookup Limit
                    Cause: >-
                      An Individual User has exceeded their daily lookup limit
                      on the key and that user will be prevented from using your
                      service until tomorrow (GMT)
                    Resolution: >-
                      Check the usage details. If required, increase the Lookup
                      Limit per Individual User or add the specific Individual
                      User's IP to the Limiter Exclusions
        '500':
          description: InternalServerError
          content:
            application/json:
              schema:
                title: ErrorResponseSelfContained
                type: object
                additionalProperties: false
                properties:
                  Number:
                    type: integer
                    format: int32
                  Description:
                    type: string
                  Cause:
                    type: string
                  Resolution:
                    type: string
              examples:
                Unknown error:
                  summary: Unknown error
                  value:
                    Number: -1
                    Description: Unknown error
                    Cause: >-
                      The cause of the error is unknown but details have been
                      passed to our support staff who will investigate.
                    Resolution: >-
                      These problems are typically short lived and are often
                      resolved by trying again in a few minutes.
                Batch processing failed:
                  summary: Batch processing failed
                  value:
                    Number: 1002
                    Description: Batch processing failed
                    Cause: Error cleansing your records
                    Resolution: >-
                      There was a server error whilst processing your batch.
                      Please try again shortly.
components:
  schemas:
    RequestItemKeyRequired:
      allOf:
        - $ref: '#/components/schemas/RequestItem'
        - type: object
          additionalProperties: false
          required:
            - Key
          properties:
            Key:
              type: string
              description: >-
                The key you want to use to authenticate with the service (you
                can request we create one for you or create one in your [account
                section](https://account.loqate.com/account#/)).
              default: AA11-AA11-AA11-AA11
    ServiceRequestAddress:
      type: object
      additionalProperties: false
      properties:
        Latitude:
          type: string
          default: ''
        Longitude:
          type: string
          default: ''
        Address:
          type: string
          default: ''
        Address1:
          type: string
          default: ''
        Address2:
          type: string
          default: ''
        Address3:
          type: string
          default: ''
        Address4:
          type: string
          default: ''
        Address5:
          type: string
          default: ''
        Address6:
          type: string
          default: ''
        Address7:
          type: string
          default: ''
        Address8:
          type: string
          default: ''
        DeliveryAddress:
          type: string
          default: ''
        DeliveryAddress1:
          type: string
          default: ''
        DeliveryAddress2:
          type: string
          default: ''
        DeliveryAddress3:
          type: string
          default: ''
        DeliveryAddress4:
          type: string
          default: ''
        DeliveryAddress5:
          type: string
          default: ''
        DeliveryAddress6:
          type: string
          default: ''
        DeliveryAddress7:
          type: string
          default: ''
        DeliveryAddress8:
          type: string
          default: ''
        Id:
          type: string
          default: ''
        SuperAdministrativeArea:
          type: string
          default: ''
        AdministrativeArea:
          type: string
          default: ''
        SubAdministrativeArea:
          type: string
          default: ''
        Locality:
          type: string
          default: ''
        DependentLocality:
          type: string
          default: ''
        DoubleDependentLocality:
          type: string
          default: ''
        Thoroughfare:
          type: string
          default: ''
        DependentThoroughfare:
          type: string
          default: ''
        Building:
          type: string
          default: ''
        Premise:
          type: string
          default: ''
        SubBuilding:
          type: string
          default: ''
        SubBuildingFloor:
          type: string
          default: ''
        PostalCode:
          type: string
          default: ''
        Organization:
          type: string
          default: ''
        PostBox:
          type: string
          default: ''
        Country:
          type: string
          default: ''
        Contact:
          type: string
          default: ''
        Function:
          type: string
          default: ''
        Department:
          type: string
          default: ''
        Forename:
          type: string
          default: ''
        Surname:
          type: string
          default: ''
        MiddleName:
          type: string
          default: ''
        FullName:
          type: string
          default: ''
    ServiceRequestOptions:
      type: object
      additionalProperties: false
      properties:
        ServerOptions:
          $ref: '#/components/schemas/ServiceRequestServerOptions'
          description: >-
            The following commands can be used to control and manipulate the
            Loqate process or output. These are considered advanced functions,
            and we recommend that server options are used in custom workflows.
        Version:
          type: boolean
          description: Return Loqate engine version with request.
          default: false
        Certify:
          type: boolean
          description: >-
            Use certified data set. AMAS (AU), CASS (US) or SERP (CA). The
            country of the input address will determine which certification
            product is used.
          default: false
        Enhance:
          type: boolean
          description: Use enhanced datasets. Returns enhance fields if applicable.
          default: false
        Deceased:
          type: boolean
          description: >-
            Indicates if the address is for a Deceased dataset. Only works if
            Enhance is true.
          default: false
        Goneaways:
          type: boolean
          description: >-
            Indicates if the address is for a Goneaways dataset. Only works if
            Enhance is true.
          default: false
        Process:
          $ref: '#/components/schemas/ProcessOptions'
          description: Loqate Process to run.
          default: Verify
    ServiceResponseItem:
      type: object
      additionalProperties: false
      properties:
        Input:
          $ref: '#/components/schemas/ServiceResponseItemInput'
        Matches:
          type: array
          items:
            $ref: '#/components/schemas/ServiceResponseItemMatch'
        Version:
          type: string
    RequestItem:
      type: object
      additionalProperties: false
      properties:
        Key:
          type: string
    ServiceRequestServerOptions:
      type: object
      additionalProperties: false
      properties:
        ActiveCassLibrary:
          type: string
          default: ''
        AddressLineSeparator:
          type: string
          description: >-
            Used to specify the string which will separate the output address
            lines within the output Address field
          default: <br>
        AliasPreference:
          type: string
          default: ''
        CassAvcEnable:
          $ref: '#/components/schemas/YesNo'
          description: >-
            The default will Z00-00-00-000 (AVC) and Z (AQI), but computing the
            report values can be forced. Please note that if returned, these
            fields may not accurately reflect the changes made in the record
            during the CASS process.
          default: 'NO'
        CassCityAbbreviation:
          $ref: '#/components/schemas/YesNo'
          description: >-
            If a Locality name is longer than 13 characters, this option can be
            used to return the official, short version. Both short and long
            versions are valid according to CASS.
          default: 'NO'
        CassPreserveAlias:
          $ref: '#/components/schemas/YesNo'
          description: Specify 'Yes' to enable this option.
          default: 'NO'
        CassUrbFirst:
          $ref: '#/components/schemas/YesNo'
          description: >-
            This specifies the Urbanization location on the address lines output
            (Puerto Rico only). The default will put the value after the address
            lines(s) with premise, thoroughfare, and sub-building.
          default: 'NO'
        CassZipFields:
          $ref: '#/components/schemas/YesNo'
          description: >-
            Populate "Finance" and "AutoZoneIndicator". If these fields are
            desired, customers will experience a moderate performance
            degradation (up to 20%).
          default: 'NO'
        CertifiedCountryList:
          type: string
          description: >-
            Used to specify a comma-delimited list of countries where data
            should be processed using the relevant certified process. e.g.
            "USA,CAN,AUS" to give CASS, SERP, and AMAS certified output
            respectively.
          default: ''
        CombinedSearchMethods:
          $ref: '#/components/schemas/YesNo'
          description: >-
            Specifies whether or not to use a word-based search algorithm
            similar to a web search engine approach.
          default: 'YES'
        CombinedVerifyMethods:
          $ref: '#/components/schemas/YesNo'
          description: >-
            When set to 'Yes' the word-based search algorithm similar to a web
            search engine approach will be enabled during verification process.
          default: 'YES'
        ConfidenceThreshold:
          type: string
          description: >-
            Used to specify the threshold at which to stop returning parse
            interpretations, as a percentage of the confidence of the top
            result.
          default: '90'
        ConformToReference:
          $ref: '#/components/schemas/YesNo'
          description: Specify ‘Yes’ to output the matched reference data value as it is.
          default: 'NO'
        CountryFields:
          type: string
          description: >-
            Used to specify the comma delimited list of fields to be searched
            for country information. This should be a subset of the ParseFields
            entry.
          default: Country
        DefaultCountry:
          type: string
          description: >-
            Used to specify the ISO 3166-1 alpha-3 code which should be used if
            no identifiable country can be found in an input record.
          default: ''
        DuplicateHandlingMask:
          type: string
          description: >-
            Used to specify the duplicate handling level, between 0 and 15.
            Default is 0. When option is set, duplicate components in the input
            address are removed if it meets a certain criteria.
          default: ''
        EnhancedCountryTool:
          $ref: '#/components/schemas/OnOff'
          description: >-
            This option allows users to enable the Automatic Country
            Identification.
          default: 'OFF'
        FieldNameWeight:
          type: string
          description: >-
            Used to specify the default field name weight, between 1 and 255.
            Default 10. A larger value will give more precedence to the supplied
            field name, a smaller value will give more precedence to the GKR
            matches. Individual field name weights can also be declared using
            the syntax '=|=', etc. For instance
            'Organization=240|AdministrativeArea=100|50' would mean a field name
            weight of 240 for the Organization field, 100 for the
            AdministrativeArea field, and a default of 50 for all remaining
            fields.
          default: ''
        FieldStatus:
          $ref: '#/components/schemas/TrueFalse'
          description: >-
            This option produces a status code for every returned field. Default
            is 'false'; to see this value, set the option to 'true'. Examples
            include Verified, Identified, or Added. Statuses are defined
            [here](https://support.loqate.com/documentation/reportcodes/fieldstatus/).
          default: 'False'
        ForceCountry:
          type: string
          description: >-
            Used to specify the ISO 3166-1 alpha-3 code which should be used for
            all input records.
          default: ''
        GeocodeCountryList:
          type: string
          description: >-
            Used to specify a comma-delimited list of ISO 3166-1 alpha-3 codes
            of acceptable countries to geocode. Input records from other
            countries will not return geocodes.
          default: ''
        GeocodeMatchRules:
          type: string
          description: >-
            A list of default match rules specifying how fields can be combined
            when attempting to generate a geocode match. This can be overridden
            on a per-country basis, and should only be changed if requested by
            Support staff.
          default: ''
        IgnoreUnmatched:
          $ref: '#/components/schemas/YesNo'
          description: >-
            Allow unmatched input data within the address lines to be ignored
            during a Search process, meaning that a search can proceed matching
            only partial input data. We don't recommend you use this server
            option on a Verify process, as it may reduce the accuracy of
            otherwise valid results.
          default: 'NO'
        MaxResults:
          type: string
          description: >-
            Used to specify the maximum number of results to return in the
            ProcessResults structure.
          default: ''
        MatchScoreAbsoluteThreshold:
          type: string
          description: >-
            Used to specify the minimum matchscore a record must reach in the
            Match process to be taken into account as a candidate for matching.
          default: '60'
        MatchScoreThresholdFactor:
          type: string
          description: >-
            This is a value that is used as a factor of the highest matching
            result. The resulting value is then used as a cut-off for
            considering candidates for the results. The higher the value of the
            factor, the higher the chance of getting a good verification result.
          default: '95'
        MaximumGeoDistance:
          type: string
          description: >-
            Used to specify the maximum GeoDistance a geocode can reach and
            still be returned as a result.
          default: '-1'
        MinimumGeoAccuracyLevel:
          type: string
          description: >-
            Used to specify the minimum GeoAccuracy level a geocode must reach
            in order to be returned as a result.
          default: '0'
        MinimumMatchscore:
          type: string
          description: >-
            Used to specify the minimum matchscore a record must reach in order
            to avoid reversion.
          default: '0'
        MinimumPostcode:
          type: string
          description: >-
            Used to specify the minimum postcode status a record must reach in
            order to avoid reversion.
          default: '0'
        MinimumSimilarity:
          type: string
          description: >-
            Used to specify the minimum similarity score that is needed to make
            a match to a candidate result.
          default: '70'
        MinimumVerificationLevel:
          type: string
          description: >-
            Used to specify the minimum verification level a record must reach
            in order to avoid reversion.
          default: '0'
        OutputAddressFormat:
          $ref: '#/components/schemas/YesNo'
          description: >-
            Used to specify whether to output an extra field for the Address
            block fields with the suffix 'Format' showing how the hierarchical
            field positioning has occurred.
          default: 'NO'
        OutputCasing:
          $ref: '#/components/schemas/OutputCasingOptions'
          description: Used to specify the letter case to use for output fields.
          default: Title
        OutputFields:
          type: string
          default: ''
        OutputScript:
          $ref: '#/components/schemas/OutputScriptOptions'
          description: >-
            Used to specify the language or character set (based on based on the
            ISO 15924 standard) in which the output should be encoded.
          default: Latn
        OutputSortType:
          $ref: '#/components/schemas/OutputSortTypeOptions'
          description: >-
            Used to specify the order in which the Search output results should
            be sorted. To sort in alphabetical order use 'Alphabetical', or
            alternatively specify 'AVC' to sort from the highest verification
            level to the lowest verification level. The option can also be set
            to 'Similarity' giving an indication of the percentage of the input
            characters that have been matched in the output.
          default: AVC
        PreferPrimaryValidAlias:
          $ref: '#/components/schemas/YesNo'
          description: >-
            When option is set to "Yes", the engine will pick out the first
            valid alias it finds within the reference data.
          default: 'NO'
        QueryClause:
          type: string
        QueryString:
          type: string
          default: ''
        RangeDecompose:
          $ref: '#/components/schemas/RangeDecomposeOptions'
          description: >-
            Used to specify how to expand ranges such as premise numbers and sub
            building numbers. Valid values are 'Match' (returning only the value
            matching the input query), 'Range' (returning a human-readable
            range, e.g. '1-9 Odd'), or 'Full' (expanding out the range into its
            constituent numbers, e.g. '1', '2', '3', '4', '5').
          default: Match
        RangefieldPreference:
          type: string
        ReferenceDatasetCacheSize:
          type: string
          description: Used to specify the number of MRU reference datasets to cache.
          default: '5'
        ReturnVerifiedFieldsOnly:
          type: string
          description: >-
            This option will return only verified fields, meaning that it will
            remove anything that isn't verified from any field.
            SuppressUnmatched option will only suppress the unverified
            components in the Address field. Default No, meaning all fields will
            be returned. This can be specified on a per-country basis, with the
            added ability to specify fields to ignore during the check, using
            the following syntax ReturnVerifiedFieldsOnly=[:;;…;][,:;…;,…,].
            e.g.
            ReturnVerifiedFieldsOnly=BE:SubBuilding;Premise,DE:SubBuilding;Premise,AT:SubBuilding;Premise
            or ReturnVerifiedFieldsOnly=US,CA,GB. The former will return
            verified fields only in Belgium, Germany, and Austria, but will
            retain non-verified data in the Premise and SubBuilding fields, the
            latter will return verified fields only in USA, Canada, UK.
          default: 'No'
        SerpWesternStyle:
          $ref: '#/components/schemas/YesNo'
          description: Specify 'Yes' to enable this option.
          default: 'NO'
        SimpleParse:
          $ref: '#/components/schemas/YesNo'
          description: >-
            Specifies whether or not to use the 'simple parse' algorithm. This
            option looks for something like premise + street in the address
            field, but is not particularly tolerant of invalid input data.
          default: 'YES'
        StrictReferenceMatch:
          $ref: '#/components/schemas/YesNo'
          description: >-
            Specify 'Yes' to output results that are identical to what is found
            within the reference data.
          default: 'NO'
        StrictRefMatchCountryList:
          type: string
          description: >-
            This is a list of ISO2 countries that you would like to have the
            option StrictReferenceMatch turned on for.
          default: ''
        SuppressAdditionFields:
          type: string
          description: >-
            Used to specify the comma-delimited list of fields that should not
            be added to an output result if they do not appear in the input
            record.
          default: ''
        SuppressAddressFields:
          type: string
          description: >-
            Used to specify the comma-delimited list of fields that should be
            suppressed from the Address field output.
          default: ''
        SuppressFields:
          type: string
          description: >-
            Used to specify the comma-delimited list of fields that should be
            suppressed from the output.
          default: ''
        SuppressUnmatched:
          $ref: '#/components/schemas/OnOff'
          description: >-
            If this option is set to TRUE or ON, unverified fields will not be
            output in Address fields (Address, Address1, Address2, etc.).
          default: 'OFF'
        SuppressMatchFields:
          type: string
          description: >-
            Used to specify the comma-delimited list of fields that should be
            suppressed when determining the Address Verification Code.
          default: ''
        Table:
          type: string
          default: ''
        TransliterationIgnoreFields:
          type: string
          description: Used to specify the fields that should not be transliterated.
          default: >-
            ID,ISO3166-2,ISO3166-3,_L,Latitude,Longitude,GeoAccuracy,GeoDistance,AVC
        ToolInfo:
          $ref: '#/components/schemas/YesNo'
          description: >-
            Specify 'Yes' to output extra debug information viewable using the
            getFieldInfo method.
          default: 'NO'
        UseSymbolicTransliteration:
          $ref: '#/components/schemas/YesNo'
          description: >-
            Specify 'No' to limit transliteration to complete field phrase
            matches.
          default: 'YES'
        VerifyCountryList:
          type: string
          description: >-
            Used to specify a comma-delimited list of ISO 3166-1 alpha-3 codes
            of acceptable countries to process.
          default: ''
        VerifyMatchRules:
          type: string
          description: >-
            A list of default match rules specifying how fields can be combined
            when attempting to generate a verification match. This can be
            overridden on a per-country basis, and should only be changed if
            requested by Support staff.
          default: ''
    ProcessOptions:
      type: string
      description: ''
      x-enumNames:
        - Verify
        - Geocode
        - Search
        - Enhance
        - AMAS
        - CASS
        - Country
        - Format
        - GKRInfo
        - Match
        - Parse
        - Query
        - Report
        - SERP
        - ReverseGeocode
        - AutoComplete
      enum:
        - Verify
        - Geocode
        - Search
        - Enhance
        - AMAS
        - CASS
        - Country
        - Format
        - GKRInfo
        - Match
        - Parse
        - Query
        - Report
        - SERP
        - ReverseGeocode
        - AutoComplete
    ServiceResponseItemInput:
      type: object
      additionalProperties: false
      properties:
        Latitude:
          type: string
        Longitude:
          type: string
        Address:
          type: string
        Address1:
          type: string
        Address2:
          type: string
        Address3:
          type: string
        Address4:
          type: string
        Address5:
          type: string
        Address6:
          type: string
        Address7:
          type: string
        Address8:
          type: string
        DeliveryAddress:
          type: string
        DeliveryAddress1:
          type: string
        DeliveryAddress2:
          type: string
        DeliveryAddress3:
          type: string
        DeliveryAddress4:
          type: string
        DeliveryAddress5:
          type: string
        DeliveryAddress6:
          type: string
        DeliveryAddress7:
          type: string
        DeliveryAddress8:
          type: string
        Id:
          type: string
        SuperAdministrativeArea:
          type: string
        AdministrativeArea:
          type: string
        SubAdministrativeArea:
          type: string
        Locality:
          type: string
        DependentLocality:
          type: string
        DoubleDependentLocality:
          type: string
        Thoroughfare:
          type: string
        DependentThoroughfare:
          type: string
        Building:
          type: string
        Premise:
          type: string
        SubBuilding:
          type: string
        SubBuildingFloor:
          type: string
        PostalCode:
          type: string
        Organization:
          type: string
        PostBox:
          type: string
        Country:
          type: string
        Contact:
          type: string
        Function:
          type: string
        Department:
          type: string
        Forename:
          type: string
        Surname:
          type: string
        MiddleName:
          type: string
        FullName:
          type: string
        Table:
          type: string
        QueryString:
          type: string
    ServiceResponseItemMatch:
      type: object
      additionalProperties: false
      properties:
        AQI:
          type: string
          description: >-
            Address Quality Index. Offers a view of overall address quality (see
            the [AQI
            page](https://support.loqate.com/documentation/reportcodes/address-quality-index/)
            for more information), but is not used as a metric for deciding
            whether to accept an address which has been processed via Verify.
            **Please use the AVC to verify addresses**.
        AQIStatus:
          type: string
        AVC:
          type: string
          description: >-
            Address Verification Code. A response code which includes
            information associated with the parsing and matching of the address
            record. Use this to identify the level to which an address has been
            verified. See the [AVC
            page](https://support.loqate.com/documentation/reportcodes/address-verification-code/)
            for more information. 
        AVCStatus:
          type: string
        AdditionalContent:
          type: string
          description: >-
            This field is available when adding "SERP" to the Loqate engine.
            Sometimes a site specification and compartment is assigned for
            delivery to a rural address that does not have a civic address.
            Example value: SITE 6 COMP 10.
        AdditionalContentStatus:
          type: string
        Address:
          type: string
          description: >-
            The full address, correctly formatted for mailing in the relevant
            country, including line breaks specified using the
            AddressLineSeparator option. Do not use 'Address' as input when
            running CASS. The preferred input for CASS is (Address1 + Locality +
            AdministrativeArea + PostalCode + Country). However, (Address1 +
            Address2 + Country) will also work.
        AddressStatus:
          type: string
        Address1:
          type: string
          description: >-
            The Address1-8 fields can be used to specify input address line
            data, and on output will contain the correctly formatted address
            split into individual address lines for mailing in the relevant
            country.
        Address1Status:
          type: string
        Address2:
          type: string
        Address2Status:
          type: string
        Address3:
          type: string
        Address3Status:
          type: string
        Address4:
          type: string
        Address4Status:
          type: string
        Address5:
          type: string
        Address5Status:
          type: string
        Address6:
          type: string
        Address6Status:
          type: string
        Address7:
          type: string
        Address7Status:
          type: string
        Address8:
          type: string
        Address8Status:
          type: string
        AddressFormat:
          type: string
          description: >-
            If Server Option "OutputAddressFormat" is "Yes", then this field
            will contain the fields used to construct the "Address" Field. For
            example, "Organization<BR>DeliveryAddress<BR>Locality
            AdministrativeArea PostalCode". The default "<BR>" line breaks can
            be changed with the AddressLineSeparator Server Option.
        AddressFormatStatus:
          type: string
        AddressKey:
          type: string
          description: >-
            Every address in the Royal Mail Postal Address File (PAF) is
            assigned an 8-digit value that serves as a persistent reference to a
            building or delivery point, even when there are changes to a
            postcode.
        AddressKeyStatus:
          type: string
        AdministrativeArea:
          type: string
          description: >-
            The most common geographic data element within a country. For
            instance, USA State, and Canadian Province.
        AdministrativeAreaStatus:
          type: string
        AdministrativeAreaFullName:
          type: string
          description: >-
            The full name of the most common geographic data element within a
            country. For instance, USA State, and Canadian Province.
        AdministrativeAreaFullNameStatus:
          type: string
        AdministrativeAreaISO2:
          type: string
          description: >-
            See
            [here](https://support.loqate.com/support/data-enhancement-administrativearea-iso-2-code/)
            for full details.
        AdministrativeAreaISO2Status:
          type: string
        AdministrativeAreaName:
          type: string
          description: >-
            The name indicator within the AdministrativeArea field, should one
            exist. For example, Taipai where the AdministrativeArea is Taipai
            City.
        AdministrativeAreaNameStatus:
          type: string
        AdministrativeAreaTrailingType:
          type: string
          description: >-
            The trailing AdministrativeArea type, should one exist. For example,
            City where the AdministrativeArea is Taipai City.
        AdministrativeAreaTrailingTypeStatus:
          type: string
        AdministrativeAreaType:
          type: string
          description: >-
            The AdministrativeArea type, should one exist. For example, City
            where the AdministrativeArea is Taipai City.
        AdministrativeAreaTypeStatus:
          type: string
        AdministrativeCounty:
          type: string
          description: >-
            Alternative value for AdministrativeArea, or County, in the United
            Kingdom. Defined and supplied by Royal Mail. This is the Unitary
            Authority name (where one is present), and provided by the Office
            for National Statistics. This field can change more frequently due
            to administrative changes in the respective area. E.g. "Bristol,
            City Of".
        AdministrativeCountyStatus:
          type: string
        AutoZoneIndicator:
          type: string
          description: >-
            Automated Zone Indicator: specifies if carrier sort rates apply, and
            if a merge is allowed. This field will be blank due to performance
            reasons unless the server option CassZipFields is set to "Yes". See
            [here](https://support.loqate.com/cass2-output-field-descriptions/)
            for more details.
        AutoZoneIndicatorStatus:
          type: string
        Barcode:
          type: string
          description: Standard barcode based on the DPID.
        BarcodeStatus:
          type: string
        BlockCode:
          type: string
          description: >-
            Defines the census data that represent the smallest geographic unit
            used by the US Census Bureau. See
            [here](https://support.loqate.com/us-census-data-enhancement/) for
            full details.
        BlockCodeStatus:
          type: string
        BlockGroupCode:
          type: string
          description: >-
            Defines the census data that represent the group of Blocks. See
            [here](https://support.loqate.com/us-census-data-enhancement/) for
            full details.
        BlockGroupCodeStatus:
          type: string
        Bolignummer:
          type: string
          description: >-
            The utility unit number consists of a letter followed by four
            numbers (Norway/NO/NOR only). Examples include: H0001, L0002, U0004,
            K0032.
        BolignummerStatus:
          type: string
        BoxBagLobbyName:
          type: string
          description: >-
            Box lobby name or New Zealand Post shop name (New Zealand/NZ/NZL
            only). Examples include: MAUNGATAPERE POSTCENTRE, NEWMARKET
            POSTSHOP, MOUNT COOK.
        BoxBagLobbyNameStatus:
          type: string
        BranchName:
          type: string
          description: >-
            Branch name of Department field (Canada/CA/CAN only). Examples
            include: Agence De Parcs Canada, Fisheries and Oceans, Ottawa
            District Office.
        BranchNameStatus:
          type: string
        Building:
          type: string
          description: >-
            The descriptive name identifying an individual location, should one
            exist.
        BuildingStatus:
          type: string
        BuildingLeadingType:
          type: string
          description: >-
            The leading building type indicator within the Building field,
            should one exist. For instance, if Building contains "BLOC C"
            BuildingLeadingType contains "BLOC" if a sufficient level of parsing
            detail exists for the particular country.
        BuildingLeadingTypeStatus:
          type: string
        BuildingName:
          type: string
          description: >-
            The name indicator within the Building field, should one exist. For
            instance, if Building contains "WESTMINSTER HOUSE" BuildingName
            contains "WESTMINSTER" if a sufficient level of parsing detail
            exists for the particular country.
        BuildingNameStatus:
          type: string
        BuildingTrailingType:
          type: string
          description: >-
            The trailing building type indicator within the Building field,
            should one exist. For instance, if Building contains "WESTMINSTER
            HOUSE" BuildingTrailingType contains "HOUSE" if a sufficient level
            of parsing detail exists within a particular country.
        BuildingTrailingTypeStatus:
          type: string
        BuildingType:
          type: string
          description: >-
            The Building indicator within the Building field, should one exist.
            Examples include Place, 城.
        BuildingTypeStatus:
          type: string
        CarrierRoute:
          type: string
          description: >-
            The carrier route code assigned to a mail delivery or collection
            route within a 5-digit ZIP Code. This is also referred to as CRID.
            See
            [here](https://support.loqate.com/cass2-output-field-descriptions/)
            for more details.
        CarrierRouteStatus:
          type: string
        CBSACode:
          type: string
          description: >-
            Defines that the Census data is referencing the Core-Based
            Statistical Area (CBSA), in typically 5-digits value. See
            [here](https://support.loqate.com/us-census-data-enhancement/) for
            full details.
        CBSACodeStatus:
          type: string
        CBSAMetropolitanStatisticalArea:
          type: string
          description: >-
            Defines that the Census data is referencing the Core Based
            Statistical Area (CBSA). See
            [here](https://support.loqate.com/support/data-enhancement-us-census-data-fields/)
            for full details.
        CBSAMetropolitanStatisticalAreaStatus:
          type: string
        CBSAMicropolitanStatisticalArea:
          type: string
          description: >-
            CBSA Micropolitan Statistical Area. See
            [here](https://support.loqate.com/support/data-enhancement-us-census-data-fields/)
            for full details.
        CBSAMicropolitanStatisticalAreaStatus:
          type: string
        CBSAName:
          type: string
          description: >-
            Refers to the official name given to the CBSAs which complements the
            CBSACode field value as defined above. For definition of CBSA,
            please refer to the CBSACode field definition above.
        CBSANameStatus:
          type: string
        CensusClassCode:
          type: string
          description: >-
            Census Class Code defines the census classification of a place.
            Census Class Code corresponding to the FIPS 55-3 standard. Census
            Class Codes are alphanumeric and can be referred at
            https://www.census.gov/library/reference/code-lists/class-codes.html.
            Census Class Codes are published only for level 3 and 4
            Administrative Areas and Zones. See
            [here](https://support.loqate.com/us-census-data-enhancement/) for
            more details.
        CensusClassCodeStatus:
          type: string
        CensusCode:
          type: string
          description: >-
            Census Code defines that the Census data is referencing the Census
            Codes, previously known as the Federal Information Processing
            Standard (FIPS) code. Unlike its previous FIPS code value, Census
            Codes are currently used as the government code to represent Admin
            Places in the U.S. Census Codes are published for Administrative
            Areas (Admin Level 1-4 in the U.S.) and all Zones with official
            government codes.
        CensusCodeStatus:
          type: string
        CensusIndicator:
          type: string
          description: >-
            The address level for which the census data was returned. In Census
            Plus, this field will show the value "Premise", the most accurate
            address level in Census Plus data, when there is Premise level match
            found. Otherwise, the value field would not be visible.
        CensusIndicatorStatus:
          type: string
        CheckDigit:
          type: string
          description: >-
            Delivery Point Bar Code check digit. This is the last character of
            the DeliveryPointBarCode.
        CheckDigitStatus:
          type: string
        Cluster:
          type: string
          description: >-
            This field refers to a residential grouping commonly used in
            Indonesian addresses, similar to neighbourhood or resident
            association information. See
            [here](https://support.loqate.com/documentation/fielddescrip/addfields/)
            for more details.
        ClusterStatus:
          type: string
        CMRAIndicator:
          type: string
          description: >-
            Indicates whether the address is associated with a Commercial Mail
            Receiving Agency(CMRA). See
            [here](https://support.loqate.com/cass2-output-field-descriptions/)
            for more details.
        CMRAIndicatorStatus:
          type: string
        CongressionalDistrict:
          type: string
          description: The congressional district to which the address belongs.
        CongressionalDistrictStatus:
          type: string
        Contact:
          type: string
          description: Contact name information.
        ContactStatus:
          type: string
        Country:
          type: string
          description: >-
            This field is used to supply the country name or code (ISO 3166
            2-character country code and ISO 3166 3-character country code).
        CountryStatus:
          type: string
        CountryName:
          type: string
          description: The ISO 3166 official country name.
        CountryNameStatus:
          type: string
        County_FIPS:
          type: string
        County_FIPSStatus:
          type: string
        CountyCode:
          type: string
          description: >-
            The primary legal divisions of most states are termed counties. See
            [here](https://support.loqate.com/us-census-data-enhancement/) for
            full details.
        CountyCodeStatus:
          type: string
        DefaultFlag:
          type: string
          description: >-
            A value of "Y" indicates that the record matched to a high-rise
            default, rural route default, or street default record in the ZIP+4
            file. Blank = not a default.
        DefaultFlagStatus:
          type: string
        DeliveryAddress:
          type: string
          description: >-
            The full address minus the Organization, Locality,
            AdministrativeArea hierarchy and PostalCode hierarchy fields,
            correctly formatted for mailing in the relevant country, including
            line breaks specified using the AddressLineSeparator option.
        DeliveryAddressStatus:
          type: string
        DeliveryAddress1:
          type: string
          description: >-
            The DeliveryAddress1-8 fields contain the individual lines contained
            within the DeliveryAddress field.
        DeliveryAddress1Status:
          type: string
        DeliveryAddress2:
          type: string
        DeliveryAddress2Status:
          type: string
        DeliveryAddress3:
          type: string
        DeliveryAddress3Status:
          type: string
        DeliveryAddress4:
          type: string
        DeliveryAddress4Status:
          type: string
        DeliveryAddress5:
          type: string
        DeliveryAddress5Status:
          type: string
        DeliveryAddress6:
          type: string
        DeliveryAddress6Status:
          type: string
        DeliveryAddress7:
          type: string
        DeliveryAddress7Status:
          type: string
        DeliveryAddress8:
          type: string
        DeliveryAddress8Status:
          type: string
        DeliveryAddressFormat:
          type: string
          description: >-
            If Server Option "OutputAddressFormat" is "Yes", then this field
            will contain the fields used to construct the "DeliveryAddress"
            Field. For example, "Organization<BR>DeliveryAddress<BR>Locality
            AdministrativeArea PostalCode". The default "<BR>" line breaks can
            be changed with the AddressLineSeparator Server Option.
        DeliveryAddressFormatStatus:
          type: string
        DeliveryInstallation:
          type: string
          description: >-
            This field is available when adding "SERP" to the Loqate engine. It
            contains the Station Information to direct mail to the proper postal
            installation for non-civic addresses. Example value: STN A.
        DeliveryInstallationStatus:
          type: string
        DeliveryInstallationAreaName:
          type: string
          description: >-
            The name of a village, town, municipality, city, or metropolitan
            area that forms part of a Delivery Installation Name (Canada/CA/CAN
            only). Examples include: Ladysmith, Roxton Pond.
        DeliveryInstallationAreaNameStatus:
          type: string
        DeliveryInstallationQualifierName:
          type: string
          description: >-
            When more than one delivery installation serves an area described by
            the Delivery Installation Area Name, the qualifier name uniquely
            identifies the delivery installation (Canada/CA/CAN only). Examples
            include: Cap-A-L'aigle, B, St Michel, 32, Bank Hunt Club.
        DeliveryInstallationQualifierNameStatus:
          type: string
        DeliveryInstallationType:
          type: string
          description: >-
            An abbreviation that represents the type of installation
            (Canada/CA/CAN only). Examples include: STN - Postal Station, PO -
            Post Office, BDP - Bureau De Poste.
        DeliveryInstallationTypeStatus:
          type: string
        DeliveryPointBarCode:
          type: string
          description: >-
            A 3-digit code which consists of the 2-digit delivery point code and
            1-digit check digit. This is used to create the 12-digit POSTNET
            barcode which consists of the 5-digit ZIP Code, 4-digit ZIP+4 addon
            code, and this 3-digit code.
        DeliveryPointBarCodeStatus:
          type: string
        Department:
          type: string
          description: Organizational department information.
        DepartmentStatus:
          type: string
        DependentLocality:
          type: string
          description: >-
            A smaller population center data element, dependent on the contents
            of the Locality field. For instance, Turkish Neighborhood.
        DependentLocalityStatus:
          type: string
        DependentLocalityLeadingType:
          type: string
          description: >-
            The leading dependent locality type indicator, should one exist. For
            example, "Rancheria San Jose Cacahuatepec" where the
            DependentLocality is Ciudad Renacimiento.
        DependentLocalityLeadingTypeStatus:
          type: string
        DependentLocalityName:
          type: string
          description: >-
            The name indicator within the DependentLocality field, should one
            exist. For instance, if DependentLocality contains "Dong Cheng Qu"
            DependentLocalityName contains "Dong Cheng" if a sufficient level of
            parsing detail exists for the particular country.
        DependentLocalityNameStatus:
          type: string
        DependentLocalityType:
          type: string
          description: >-
            The DependentLocality indicator within the DependentLocality field,
            should one exist. For instance, if DependentLocality contains "Dong
            Cheng Qu" DependentLocalityType contains "Qu" if a sufficient level
            of parsing detail exists for the particular country.
        DependentLocalityTypeStatus:
          type: string
        DependentThoroughfare:
          type: string
          description: >-
            The dependent street or block data element within a country. For
            instance, UK Dependent Street.
        DependentThoroughfareStatus:
          type: string
        DependentThoroughfareLeadingType:
          type: string
          description: >-
            The leading thoroughfare type indicator within the
            DependentThoroughfare field, should one exist. For instance, if
            DependentThoroughfare contains "RUE DE LA GARE"
            DependentThoroughfareLeadingType contains "RUE" if a sufficient
            level of parsing detail exists for the particular country.
        DependentThoroughfareLeadingTypeStatus:
          type: string
        DependentThoroughfareName:
          type: string
          description: >-
            The name indicator within the DependentThoroughfare field, should
            one exist. For instance, if DependentThoroughfare contains "N MAIN
            ST" DependentThoroughfareName contains "MAIN" if a sufficient level
            of parsing detail exists for the particular country.
        DependentThoroughfareNameStatus:
          type: string
        DependentThoroughfarePostDirection:
          type: string
          description: >-
            The postfix directional contained within the DependentThoroughfare
            field, should one exist. For instance, if DependentThoroughfare
            contains "MAIN ST N" DependentThoroughfarePostDirection contains "N"
            if a sufficient level of parsing detail exists for the particular
            country.
        DependentThoroughfarePostDirectionStatus:
          type: string
        DependentThoroughfarePreDirection:
          type: string
          description: >-
            The prefix directional contained within the DependentThoroughfare
            field, should one exist. For instance, if DependentThoroughfare
            contains "N MAIN ST" DependentThoroughfarePreDirection contains "N"
            if a sufficient level of parsing detail exists for the particular
            country.
        DependentThoroughfarePreDirectionStatus:
          type: string
        DependentThoroughfareTrailingType:
          type: string
        DependentThoroughfareTrailingTypeStatus:
          type: string
        DNA:
          type: string
        DNAStatus:
          type: string
        DoubleDependentLocality:
          type: string
          description: >-
            The smallest population center data element, dependent on both the
            contents of the Locality and DependentLocality fields. For instance,
            UK Village.
        DoubleDependentLocalityStatus:
          type: string
        DoubleDependentLocalityName:
          type: string
          description: >-
            The name indicator within the DoubleDependentLocality field, should
            one exist. For instance, if DoubleDependentLocality contains "Xin
            Zhuang Zhen" DoubleDependentLocalityName contains "Xin Zhuang" if a
            sufficient level of parsing detail exists for the particular
            country.
        DoubleDependentLocalityNameStatus:
          type: string
        DoubleDependentLocalityType:
          type: string
          description: >-
            The DoubleDependentLocality indicator within the
            DoubleDependentLocality field, should one exist. For instance, if
            DoubleDependentLocality contains "Xin Zhuang Zhen"
            DoubleDependentLocalityType contains "Zhen" if a sufficient level of
            parsing detail exists for the particular country.
        DoubleDependentLocalityTypeStatus:
          type: string
        DPS:
          type: string
          description: >-
            The Delivery Point Suffix (DPS) is used with a postcode to generate
            a machine-readable barcode (RM4SCC), which then serves as a unique
            reference to an active property or delivery point. It is made up of
            one number (1-9) and one character (A-T), and is assigned by Royal
            Mail. It is possible that an address is not assigned a DPS value, in
            which case a default value of 9U or 9Z is used. 1A is also reserved
            for postcodes that have PostCodeType = L (Large User). See
            [here](https://support.loqate.com/gb-enhancement-data-fields/) for
            more details.
        DPSStatus:
          type: string
        DPID:
          type: string
          description: >-
            A unique 8-digit number which is assigned for every new address to
            the source address database.
        DPIDStatus:
          type: string
        DPVConfirmedIndicator:
          type: string
          description: >-
            Delivery Point Validation (DPV) Confirmed Indicator: specifies the
            deliverability of the address. See
            [here](https://support.loqate.com/cass2-output-field-descriptions/)
            for more details.
        DPVConfirmedIndicatorStatus:
          type: string
        DPVFootnotes:
          type: string
          description: >-
            Delivery Point Validation footnotes. There can be one or more
            two-character footnotes. This field is used together with the
            DPVConfirmedIndicator field to understand the input address'
            validity and deliverability. See
            [here](https://support.loqate.com/cass2-output-field-descriptions/)
            for more details.
        DPVFootnotesStatus:
          type: string
        DPVLACSIndicator:
          type: string
          description: This field will always be empty.
        DPVLACSIndicatorStatus:
          type: string
        DropSiteIndicator:
          type: string
          description: >-
            A flag that indicates mail is delivered to a single receptible at a
            site. See
            [here](https://support.loqate.com/cass2-output-field-descriptions/)
            for more details.
        DropSiteIndicatorStatus:
          type: string
        eLOTCode:
          type: string
          description: >-
            eLOT directional indicator. See the eLOTNumber field for additional
            information. See
            [here](https://support.loqate.com/cass2-output-field-descriptions/)
            for more details.
        eLOTCodeStatus:
          type: string
        eLOTNumber:
          type: string
          description: >-
            4-digit sequence number for eLOT (Enhanced Line of Travel): gives
            mailers the ability to sort their mailings in approximate
            carrier-casing sequence. eLOT sorting allows for carrier route
            presort discounts. Blank = address not submitted for eLOT. See
            [here](https://support.loqate.com/cass2-output-field-descriptions/)
            for more details.
        eLOTNumberStatus:
          type: string
        EnhancedReturnCode:
          type: string
          description: >-
            Enhanced DPV Return Code. This is populated when there is more than
            one valid DPVConfirmedIndicator. When present, this should take
            precedence over DPVConfirmedIndicator. See
            [here](https://support.loqate.com/cass2-output-field-descriptions/)
            for more details.
        EnhancedReturnCodeStatus:
          type: string
        EWSFlag:
          type: string
          description: >-
            A value of "Y" indicates that the address matched a record in the
            EWS (Early Warning System) file, thus resulting in a ZIP+4 no match.
            Blank = address was not flagged by EWS.
        EWSFlagStatus:
          type: string
        FalsePositiveIndicator:
          type: string
          description: >-
            The False Positive table flags the False Positive addresses.  This
            is a flag to determine whether a mailing list is being generated or
            created during validation.  Creating a mailing list through DPV
            certification is not allowed by the USPS. See
            [here](https://support.loqate.com/cass2-output-field-descriptions/)
            for more details.
        FalsePositiveIndicatorStatus:
          type: string
        Finance:
          type: string
          description: >-
            A code assigned to Postal Service™ facilities (primarily Post
            Offices) to collect cost and statistical data and compile revenue
            and expense data. An example output for 805 Veterans Blvd, Redwood
            City, CA 94063 is 056378. Note that the reference for this
            information can be found
            [here](https://postalpro.usps.com/address-quality/AIS_Products_Technical_Guide).
            This field will be blank due to performance reasons unless the
            server option CassZipFields is set to "Yes".
        FinanceStatus:
          type: string
        FIPSCountyCode:
          type: string
          description: >-
            The 5 digit FIPS (Federal Information Processing Standard) code
            which uniquely identifies counties. The first two will be the state
            code and the last three are the county. For example, San Francisco,
            CA is 06075.
        FIPSCountyCodeStatus:
          type: string
        FloorNumber:
          type: string
          description: Floor or level number (including alpha characters).
        FloorNumberStatus:
          type: string
        FloorType:
          type: string
          description: Type of floor or level.
        FloorTypeStatus:
          type: string
        FormerPostalCounty:
          type: string
          description: >-
            Default value for AdministrativeArea, or County, in the United
            Kingdom. Defined and supplied by Royal Mail. These values were used
            prior to the postcode system introduced in the 1970s to
            differentiate Locality names that were the same, or similar (e.g.
            'Avon'). This field is assigned as the AdministrativeArea default as
            it remains static and provides a consistent geographic boundary.
        FormerPostalCountyStatus:
          type: string
        Function:
          type: string
          description: Function or job title information.
        FunctionStatus:
          type: string
        GeneralDelivery:
          type: string
          description: >-
            This field is available when adding "SERP" to the Loqate engine. It
            identifies a General Delivery type address - Example value: GD.
        GeneralDeliveryStatus:
          type: string
        GeoAccuracy:
          type: string
          description: The [GeoAccuracy](https://support.loqate.com/geoaccuracy) code.
        GeoAccuracyStatus:
          type: string
        GeoDistance:
          type: string
          description: >-
            The radius of accuracy in meters, giving an indication of the likely
            maximum distance between the given geocode and the physical
            location. Please note that this field is derived from and therefore
            dependent on the accuracy and coverage of the underlying reference
            data.
        GeoDistanceStatus:
          type: string
        GNISFeatureID:
          type: string
          description: >-
            GNIS Feature ID defines the census data that is referencing the
            Geographic Names Information System (GNIS) Feature ID. See
            [here](https://support.loqate.com/us-census-data-enhancement/) for
            full details.
        GNISFeatureIDStatus:
          type: string
        HasSubPremise:
          type: string
        HasSubPremiseStatus:
          type: string
        HyphenClass:
          type: string
          description: >-
            [https://support.loqate.com/documentation/fielddescrip/objfeilds/](https://support.loqate.com/documentation/fielddescrip/objfeilds/)
        HyphenClassStatus:
          type: string
        ID:
          type: string
          description: Optional. This field will be passed through to the output unchanged.
        IDStatus:
          type: string
        ISO3166-2:
          type: string
          description: The ISO 3166 2-character country code.
        ISO3166-2Status:
          type: string
        ISO3166-3:
          type: string
          description: The ISO 3166 3-character country code.
        ISO3166-3Status:
          type: string
        ISO3166-N:
          type: string
          description: The ISO 3166 3-digit numeric country code.
        ISO3166-NStatus:
          type: string
        LACSLinkCode:
          type: string
          description: >-
            Code returned by LACSLink®  after querying the LACSLink® database.
            See
            [here](https://support.loqate.com/cass2-output-field-descriptions/)
            for more details.
        LACSLinkCodeStatus:
          type: string
        LACSLinkIndicator:
          type: string
          description: >-
            Indicator returned by LACSLink® after querying the LACSLink®
            database. See
            [here](https://support.loqate.com/cass2-output-field-descriptions/)
            for more details.
        LACSLinkIndicatorStatus:
          type: string
        LACSStatus:
          type: string
          description: >-
            A value of "L" indicates that the input address matched an entry in
            the Locatable Address Conversion Service database and the input
            address has been converted from a rural-style address to a
            city-style address. Blank = no LACS Status returned.
        LACSStatusStatus:
          type: string
        Latitude:
          type: string
          description: The WGS 84 latitude in decimal degrees format.
        LatitudeStatus:
          type: string
          description: >-
            Each of the following '-Status' fields is an indicator to show if a
            field is Verified or Identified.
        Locality:
          type: string
          description: >-
            The most common population center data element within a country. For
            instance, USA City, Canadian Municipality.
        LocalityStatus:
          type: string
        LocalityExtra:
          type: string
          description: >-
            Information that could be present along with the Locality. This
            information is not considered as part of the Postal authority data
            but is still necessary for parsing the address in order to obtain a
            complete delivery address. Available if a sufficient level of
            parsing detail exists within a particular country. Example: 12 rue
            de la Gare, 75019 PARIS CEDEX, France. CEDEX will be considered as
            Locality Extra.
        LocalityExtraStatus:
          type: string
        LocalityName:
          type: string
          description: >-
            The name indicator within the Locality field, should one exist. For
            example: Jeju where the Locality is Jeju-Si.
        LocalityNameStatus:
          type: string
        LocalitySpecial:
          type: string
          description: >-
            This field combines both the Locality and LocalityExtra components,
            to capture specific locality information that includes essential
            details for accurate address parsing and delivery. For example, in
            the address "12 rue de la Gare, 75019 PARIS CEDEX, France," the term
            "Paris CEDEX" represents the LocalitySpecial. It encompasses both
            the primary locality (Paris) and the additional locality information
            (CEDEX) that is necessary for a complete and precise delivery
            address.
        LocalitySpecialStatus:
          type: string
        LocalityTrailingType:
          type: string
          description: >-
            The type indicator for Locality, should one exist. For example:
            Dist. where the Locality is Da'an Dist.
        LocalityTrailingTypeStatus:
          type: string
        LocalityType:
          type: string
          description: >-
            The type indicator for Locality, should one exist. For example:
            Dist. where the Locality is Da'an Dist.
        LocalityTypeStatus:
          type: string
        Longitude:
          type: string
          description: The WGS 84 longitude in decimal degrees format.
        LongitudeStatus:
          type: string
        LotNumber:
          type: string
          description: Allotment number.
        LotNumberStatus:
          type: string
        MakaniNumber:
          type: string
          description: >-
            A Makani number is a 10-digit number which gives you the exact
            location of the entrance of a building (United Arab Emirates/AE/ARE
            only). For example: 3000595279.
        MakaniNumberStatus:
          type: string
        MatchRuleLabel:
          type: string
          description: >-
            The Loqate Engine uses a set of rules to match the input with the
            reference data. Each rule is identified by a match rule label.
            Please refer to the [Match
            Process](https://support.loqate.com/support/available-processes/match-process/)
            and [Match Rule
            Syntax](https://support.loqate.com/support/options/match-rules-syntax/)
            pages for more information regarding the Match Rules.
        MatchRuleLabelStatus:
          type: string
        MetroDivisionCode:
          type: string
          description: >-
            Defines the census data that is referring to a county or group of
            closely tied contiguous counties that serve as a distinct employment
            region within a metropolitan statistical area that has a population
            core of at least 2.5 million. See
            [here](https://support.loqate.com/us-census-data-enhancement/) for
            full details.
        MetroDivisionCodeStatus:
          type: string
        MetroDivisionName:
          type: string
          description: >-
            MetroDivisionName refers to the official name given to the
            Metropolitan Division which complements the MetroDivisionCode field
            value as defined above. For definition of Metropolitan Division,
            please refer to the MetroDivisionCode field definition above.
        MetroDivisionNameStatus:
          type: string
        MetropolitanDivision:
          type: string
          description: >-
            Defines that the Census data is referring to a county or group of
            closely tied contiguous counties that serve as a distinct employment
            region within a metropolitan statistical area that has a population
            core of at least 2.5 million. See
            [here](https://support.loqate.com/support/data-enhancement-us-census-data-fields/)
            for full details.
        MetropolitanDivisionStatus:
          type: string
        NDDFlag:
          type: string
          description: >-
            DPV Non-Delivery Day Flag that indicates mail delivery is not
            performed every day of the week. See
            [here](https://support.loqate.com/cass2-output-field-descriptions/)
            for more details.
        NDDFlagStatus:
          type: string
        NDDValues:
          type: string
          description: >-
            DPV Non-Delivery Day Values. This seven-character field represents
            Sunday-Saturday and will contain an **N** for the days where mail
            **can** be delivered. For example, "YNNNNNY" means mail is is not
            received on Saturday or Sunday (e.g. the business is closed).
        NDDValuesStatus:
          type: string
        NECTACode:
          type: string
          description: >-
            NECTACode refers to a set of geographic areas that are defined using
            cities and towns in the six New England states, in typically
            5-digits value. See
            [here](https://support.loqate.com/us-census-data-enhancement/) for
            full details.
        NECTACodeStatus:
          type: string
        NECTADivision:
          type: string
          description: >-
            Defines NECTAs (see definition above) containing a single core with
            a population of at least 2.5 million that are subdivided to form
            smaller groupings of cities and towns referred to as NECTA
            Divisions.
        NECTADivisionStatus:
          type: string
        NECTADivisionCode:
          type: string
          description: >-
            NECTA Division defines NECTAs (see definition under NECTACode field
            above) containing a single core with a population of at least 2.5
            million that are subdivided to form smaller groupings of cities and
            towns referred to as NECTA Divisions. NECTADivisionCode is typically
            represented in a 5-digits value.
        NECTADivisionCodeStatus:
          type: string
        NECTADivisionName:
          type: string
          description: >-
            NECTADivisionName refers to the official name given to the NECTA
            Divisions which complements the NECTADivisionCode field value as
            defined above. For definition of NECTA Division, please refer to the
            NECTADivisionCode field definition above.
        NECTADivisionNameStatus:
          type: string
        NECTAMetropolitanStatisticalArea:
          type: string
          description: >-
            Defines a set of geographic areas that are defined using cities and
            towns in the six New England states. See
            [here](https://support.loqate.com/support/data-enhancement-us-census-data-fields/)
            for full details.
        NECTAMetropolitanStatisticalAreaStatus:
          type: string
        NECTAMicropolitanStatisticalArea:
          type: string
          description: >-
            NECTA Micropolitan Statistical Area. See
            [here](https://support.loqate.com/support/data-enhancement-us-census-data-fields/)
            for full details.
        NECTAMicropolitanStatisticalAreaStatus:
          type: string
        NECTAName:
          type: string
          description: >-
            NECTAName refers to the official name given to the NECTAs which
            complements the NECTACode field value as defined above. See
            [here](https://support.loqate.com/us-census-data-enhancement/) for
            full details.
        NECTANameStatus:
          type: string
        NoStatIndicator:
          type: string
          description: >-
            Indicates the address is not receiving delivery, and the address is
            not counted as a possible delivery. These addresses are not
            receiving delivery because A) delivery has not been established; B)
            customer receives mail as a part of a drop; or C) the address is no
            longer a possible delivery because the carrier destroys or returns
            all the mail. See
            [here](https://support.loqate.com/cass2-output-field-descriptions/)
            for more details.
        NoStatIndicatorStatus:
          type: string
        NoStatReason:
          type: string
          description: >-
            The reason mail delivery was not provided. See
            [here](https://support.loqate.com/cass2-output-field-descriptions/)
            for more details.
        NoStatReasonStatus:
          type: string
        NSL:
          type: string
          description: >-
            DPV No Secure Location. The door is accessible, but a package will
            not be left due to security concerns. See
            [here](https://support.loqate.com/cass2-output-field-descriptions/)
            for more details.
        NSLStatus:
          type: string
        OldMSACode:
          type: string
          description: >-
            OldMSACode represents an obsolete value of MSA (metropolitan areas)
            that were defined by the OMB in 1990. See
            [here](https://support.loqate.com/us-census-data-enhancement/) for
            full details.
        OldMSACodeStatus:
          type: string
        OldMSAName:
          type: string
          description: >-
            OldMSAName refers to the official name given to the MSA
            (metropolitan areas) which complements the OldMSACode field value as
            defined above. For definition of MSA, please refer to the OldMSACode
            field definition above.
        OldMSANameStatus:
          type: string
        OrganisationKey:
          type: string
          description: >-
            Each Organization that is added to PAF is assigned an 8-digit number
            that serves as a unique delivery point when used alongside the
            AddressKey and PostcodeType. This is useful to identify small
            businesses that share an address (the address will appear multiple
            times in the PAF). For residential addresses, OrganisationKey is set
            to 0.
        OrganisationKeyStatus:
          type: string
        Organization:
          type: string
          description: >-
            The business name associated with a particular delivery point,
            should one exist.
        OrganizationStatus:
          type: string
        OrganizationName:
          type: string
          description: >-
            The name indicator within the Organization field, should one exist.
            For instance, if Organization contains 'Loqate Inc" OrganizationName
            contains "Loqate" if a sufficient level of parsing detail exists for
            the particular country.
        OrganizationNameStatus:
          type: string
        OrganizationType:
          type: string
          description: >-
            The type indicator contained within the Organization field, should
            one exist. For instance, if Organization contains "Loqate Inc"
            OrganizationType contains "Inc" if a sufficient level of parsing
            detail exists for the particular country.
        OrganizationTypeStatus:
          type: string
        OrganizationTrailingType:
          type: string
          description: >-
            The trailing type indicator contained within the Organization field,
            should one exist. For example: Corp., Gmbh.
        OrganizationTrailingTypeStatus:
          type: string
        OwningUDPRN:
          type: string
          description: >-
            The Owning UDPRN is an eight-digit UDPRN key of the 'shell' or
            'owning' PAF building record of a Multiple Residence (flat, unit or
            apartment). For example, if "Ground Floor Flat, Princes House" is a
            Multiple Residence record, then "Princes House" would be its owning
            building.
        OwningUDPRNStatus:
          type: string
        ParentUPRN:
          type: string
          description: >-
            The Parent UPRN is a twelve-digit UPRN of the 'shell' or 'owning'
            building of a Multiple Residence (flat, unit or apartment). Note
            that this is inferred from the relationships of an Multi Residence 
            with a PAF parent address record.
        ParentUPRNStatus:
          type: string
        ParsedGarbage:
          type: string
          description: >-
            This field will capture information that the CASS engine is able to
            parse out of the input during the matching process.
        ParsedGarbageStatus:
          type: string
        PBSAIndicator:
          type: string
          description: >-
            PO Box Street Address (PBSA) Indicator: specifies that the mailing
            address is a PO box. For example, 131 S Center St # 3094,
            Collierville TN 38027 is a PO box in the USPS facility at that
            address. See
            [here](https://support.loqate.com/cass2-output-field-descriptions/)
            for more details.
        PBSAIndicatorStatus:
          type: string
        PMBNumber:
          type: string
          description: >-
            Private Mailbox Value will be appended to the PrimaryAddressLine
            field. This information used to be in SecondaryAddressLine.  For
            example, this will be the "252" in "PMB 252".
        PMBNumberStatus:
          type: string
        PMBType:
          type: string
          description: >-
            Private Mailbox Type will be appended to the PrimaryAddressLine
            field. For  example, if the Private Mailbox Value was "PMB 100",
            then PMBType would be "PMB". PMBs allow individuals or offices a
            private mailbox to simplify internal mail distribution, retain
            privacy, or have convenient hours of mail pickup. They can be rented
            as needed through a commercial mail receiving agency (CMRA), which
            may be more cost-effective than renting a box at the post office.
        PMBTypeStatus:
          type: string
        POBoxOnly:
          type: string
          description: >-
            There is only one ZIP Code for a given facility and the facility has
            no other form of postal delivery other than a PO Box. See
            [here](https://support.loqate.com/cass2-output-field-descriptions/)
            for more details.
        POBoxOnlyStatus:
          type: string
        PostalCode:
          type: string
          description: >-
            The complete postal code for a particular delivery point, should
            such detail be able to be determined.
        PostalCodeStatus:
          type: string
        PostalCodePrimary:
          type: string
          description: >-
            The primary postal code used for a particular country. For instance,
            USA Zip, Canadian Postcode, Indian PINcode.
        PostalCodePrimaryStatus:
          type: string
        PostalCodeSecondary:
          type: string
          description: >-
            Secondary postal code information, if used in a particular country
            and if such detail is able to be determined and reference data is
            available. For instance, USA Zip Plus 4.
        PostalCodeSecondaryStatus:
          type: string
        PostBox:
          type: string
          description: The post box for a particular delivery point, should one exist.
        PostBoxStatus:
          type: string
        PostBoxNum:
          type: string
          description: Postal delivery number if the address is a postal delivery type.
        PostBoxNumStatus:
          type: string
        PostBoxNumber:
          type: string
          description: >-
            The alphanumeric indicator within the PostBox field, should one
            exist. For instance, if PostBox contains "PO BOX 1234" PostBoxNumber
            contains "1234" if a sufficient level of parsing detail exists for
            the particular country.
        PostBoxNumberStatus:
          type: string
        PostBoxNumberPrefix:
          type: string
          description: Postal delivery number prefix related to the postal delivery number.
        PostBoxNumberPrefixStatus:
          type: string
        PostBoxNumberSuffix:
          type: string
          description: Postal delivery number suffix related to the postal delivery number.
        PostBoxNumberSuffixStatus:
          type: string
        PostBoxType:
          type: string
          description: >-
            The type indicator contained within the PostBox field, should one
            exist. For instance, if PostBox contains "PO BOX 1234" PostBoxType
            contains "PO BOX" if a sufficient level of parsing detail exists for
            the particular country.
        PostBoxTypeStatus:
          type: string
        PostcodeType:
          type: string
          description: >-
            This can be one of two values - see
            [here](https://support.loqate.com/gb-enhancement-data-fields/) for
            full details. This value can also be empty (not assigned).
        PostcodeTypeStatus:
          type: string
        PreSortZone:
          type: string
          description: >-
            Also known as Barcode Sort Plan (BSP) number. The number of one of
            54 individual sort regions around Australia. To qualify for
            Australia Post's PreSort Letters Service, letters must be sorted
            based on this number.
        PreSortZoneStatus:
          type: string
        Premise:
          type: string
          description: >-
            The alphanumeric code identifying an individual location, should one
            exist.
        PremiseStatus:
[...]
